Bug 253804 - devel/thrift update to 0.13.0
Summary: devel/thrift update to 0.13.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-23 20:22 UTC by Matthias Fechner
Modified: 2021-03-03 09:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (komarov)


Attachments
Thrift update to 0.13.0 (4.49 KB, patch)
2021-02-23 20:22 UTC, Matthias Fechner
mfechner: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2021-02-23 20:22:22 UTC
Created attachment 222767 [details]
Thrift update to 0.13.0

For the upgrade of gitlab-ce to version 13.9.0 I also included an update of the thrift related packages to version 0.13.0.

The full diff can be found here:
https://gitlab.fechner.net/mfechner/Gitlab/-/compare/master...13.9

The diff that is only related to thrift is attached as patch to this PR.

Could you please review the patch and if it is fine, I would commit the update together with the gitlab 13.9.0 upgrade.

Thanks.
Comment 1 Matthias Fechner freebsd_committer 2021-02-23 20:27:15 UTC
Just as additional comment, I test build the following packages:
# thrift
devel/thrift-c_glib
devel/thrift-cpp
devel/thrift
devel/p5-Thrift
devel/node-thrift
devel/rubygem-thrift
devel/py-thrift

I was not able to test build devel/thrift-cpp as I use openssl from port and this is marked as broken with the port:
https://pkg.fechner.net/build.html?mastername=122amd64-gitlab&build=2021-02-23_21h15m05s
https://pkg.fechner.net/data/122amd64-gitlab/2021-02-23_21h15m05s/logs/errors/thrift-cpp-0.13.0,1.log

I currently have now a test build running with openssl from ports disabled:
https://pkg.fechner.net/build.html?mastername=122amd64-gitlab&build=2021-02-23_21h17m59s

But this maybe take some hours to complete.

But the main consumer of the rubygem-thrift is gitlab-ce and it is working fine with the new version.

If I should test some more packages, please just drop me port and I will include it in the builds.
Comment 2 Matthias Fechner freebsd_committer 2021-02-24 07:03:33 UTC
I did some small plist adaptions to devel/thrift-cpp, now it builds fine:
https://gitlab.fechner.net/mfechner/Gitlab/-/commit/18b92cae5f230681001eb517b20efb6f09fd4671
Comment 3 commit-hook freebsd_committer 2021-03-03 09:26:25 UTC
A commit references this bug:

Author: mfechner
Date: Wed Mar  3 09:25:40 UTC 2021
New revision: 567034
URL: https://svnweb.freebsd.org/changeset/ports/567034

Log:
  Update thrift ports to 0.13.0 which is required for gitlab-ce upgrade.

  PR:		253804
  Approved by:	maintainer timeout

Changes:
  head/devel/node-thrift/pkg-plist
  head/devel/rubygem-thrift/Makefile
  head/devel/rubygem-thrift/distinfo
  head/devel/thrift/Makefile
  head/devel/thrift/bsd.thrift.mk
  head/devel/thrift/distinfo
  head/devel/thrift-cpp/Makefile
  head/devel/thrift-cpp/pkg-plist
Comment 4 Matthias Fechner freebsd_committer 2021-03-03 09:52:07 UTC
Committed.